跳到主内容

GET /v1/tiktok/search/post_v1

TikTok作品搜索 API (V1)

stable · 20 credits / 次(成功才计)

通过关键词搜索 TikTok 帖子,提供偏移分页、排序、发布时间和区域控制。使用该接口支持区域内容发现、主题研究或监控与关键词相关的视频。

注册即送 500 credits,用自己的 Key 试调。 免费注册

请求

curl
curl -s 'https://api.wellbyte.net/v1/tiktok/search/post_v1?offset=0&region=US&keyword=%E5%92%96%E5%95%A1&sortType=RELEVANCE&publishTime=ALL' \
  -H "Authorization: Bearer dg_live_…"

响应

示例采集于 2026-09-23

data{
code:0
data{
extra{ 6 items }
cursor:20
log_pb{ 1 item }
version:"v2"
has_more:1
backtrace:""
aweme_list[ 0 items ]
components:null
status_code:0
feedback_type:"video"
search_item_list[ 2 items ]
global_doodle_config{ 10 items }
}
meta{
endpoint:"tiktok.search.post_v1"
cache_hit:false
elapsed_ms:0
request_id:"req_sample"
credits_charged:0
}
message:"ok"
}

请求历史

打开完整日志

还没有调用记录。先跑通一次,再换成你的数据。

    请求参数

    参数类型位置必填说明示例
    offsetintegerquery否分页偏移量,从0开始,步长为20。0
    regionstringquery否ISO 3166-1 alpha-2 国家代码(例如 'US'、'GB')。US
    keywordstringquery是搜索关键词。咖啡
    sortTypestringquery否搜索结果排序标准。 可用值: - `RELEVANCE`: 相关性(默认) - `MOST_LIKED`: 点赞最多RELEVANCE
    publishTimestringquery否按发布时间筛选帖子。 可用值: - `ALL`: 全部时间 - `ONE_DAY`: 最近24小时 - `ONE_WEEK`: 最近7天 - `ONE_MONTH`: 最近30天 - `THREE_MONTHS`: 最近90天 - `H…ALL

    响应字段

    字段字典待补 —— 右侧可执行区可直接看到真实结构。

    错误码

    codeHTTP含义是否计费
    40001400参数缺失或格式错误否
    40102401API Key 无效或已吊销否
    40201402余额不足,请充值否
    40402404目标资源不存在否
    42201422质量门槛未通过否
    42901429超出速率限制否
    50401504上游超时否
    50201502上游返回异常否

    计费

    成功扣 20 credits;任何失败(含返回 200 但未过质量门槛)扣 0。

    全部TikTok端点 →

    搜索

    搜索端点与文档